=== release 1.26.5 ===

2025-08-07 19:06:46 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-rtsp-server.doap:
	* meson.build:
	  Release 1.26.5

2025-07-16 15:33:19 +0200  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.26.4

=== release 1.26.4 ===

2025-07-16 15:26:21 +0200  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-rtsp-server.doap:
	* meson.build:
	  Release 1.26.4

2025-06-26 21:29:34 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.26.3

=== release 1.26.3 ===

2025-06-26 21:25:24 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-rtsp-server.doap:
	* meson.build:
	  Release 1.26.3

2025-05-28 09:13:46 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/gst/onvif.c:
	* tests/check/gst/rtspserver.c:
	* tests/test-reuse.c:
	  rtsp-server: tests: Fix a few memory leaks
	  Also use any port to run server to avoid conflicts.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9155>

2025-05-30 00:03:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.26.2

=== release 1.26.2 ===

2025-05-29 23:56:43 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-rtsp-server.doap:
	* meson.build:
	  Release 1.26.2

2025-05-13 19:45:12 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/rtsp-sink/gstrtspclientsink.c:
	  rtspclientsink: Free various props before being set
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9088>

2025-05-21 09:54:53 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/gst/media.c:
	* tests/check/gst/rtspserver.c:
	  rtsp-server: A few small memory cleanups
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9055>

2025-05-02 08:56:19 +0200  Alexander Slobodeniuk <aslobodeniuk@fluendo.com>

	* gst/rtsp-server/rtsp-latency-bin.c:
	* gst/rtsp-server/rtsp-media.c:
	  properties: add G_PARAM_STATIC_STRINGS where missing
	  "Hold on, I know you need to generate the registry, but let me just
	  create copies of all those strings first", Framework whispered
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8962>

2025-04-24 20:26:57 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.26.1
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8890>

=== release 1.26.1 ===

2025-04-24 20:20:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-rtsp-server.doap:
	* meson.build:
	  Release 1.26.1

2025-03-14 22:15:10 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/rtsp-sink/gstrtspclientsink.c:
	  rtspclientsink: Free various props during cleanup
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8714>

2025-03-11 20:23:16 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.26.0
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8618>

=== release 1.26.0 ===

2025-03-11 20:14:44 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-rtsp-server.doap:
	* meson.build:
	  Release 1.26.0

2025-02-25 01:03:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtsp-server/rtsp-media.c:
	  rtsp-server: media: fix locking in gst_rtsp_media_get_dscp_qos()
	  Fixes #4247
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8551>

2025-02-23 23:52:57 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.25.90

=== release 1.25.90 ===

2025-02-23 23:44:10 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-rtsp-server.doap:
	* meson.build:
	  Release 1.25.90

2025-02-09 17:47:32 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.25.50

=== release 1.25.50 ===

2025-02-09 17:35:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-rtsp-server.doap:
	* meson.build:
	  Release 1.25.50

2025-01-27 09:33:48 +1100  Jan Schmidt <jan@centricular.com>

	* gst/rtsp-server/rtsp-media.c:
	* gst/rtsp-server/rtsp-onvif-media.c:
	* gst/rtsp-server/rtsp-server-internal.h:
	  rtsp-server: fix for creating backchannel stream dynamically
	  If collecting the backchannel stream after the stream has begun
	  preparing, make sure to join it to the RTSP media bin, as is
	  done for dynamic payloaders in the pad-added handler. Add a
	  new internal stream creation method for it, that could be
	  publically exposed later if it proves useful.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8378>

2025-01-24 18:13:24 +1100  Jan Schmidt <jan@centricular.com>

	* gst/rtsp-server/rtsp-onvif-media-factory.c:
	  onvif-media-factory: Fix pad ref leak
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8378>

2025-01-24 18:05:06 +1100  Jan Schmidt <jan@centricular.com>

	* gst/rtsp-server/rtsp-media.c:
	  rtsp-media: Only wait for sender streams to block
	  When prerolling / blocking an RTSP media, don't consider receiver
	  streams like onvif backchannel in the 'is everything blocked' check,
	  as those streams won't receive data until after the RTSP stream
	  is running.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8378>

2025-01-24 18:03:10 +1100  Jan Schmidt <jan@centricular.com>

	* gst/rtsp-server/rtsp-onvif-media.c:
	  onvif-media: Error for streams that have EMPTY/ANY caps
	  Don't silently fail to put a stream in the SDP if the caps are
	  empty or ANY
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8378>

2025-01-20 21:05:10 +1100  Jan Schmidt <jan@centricular.com>

	* gst/rtsp-server/rtsp-onvif-media.c:
	  rtsp-onvif-media: Add some debugging
	  Add a debug category and some debug to the ONVIF media
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8378>

2025-01-20 20:57:07 +1100  Jan Schmidt <jan@centricular.com>

	* gst/rtsp-server/rtsp-onvif-media-factory.c:
	* gst/rtsp-server/rtsp-onvif-media-factory.h:
	  rtsp-onvif-media-factory: Add create_backchannel_stream() vfunc
	  Move the functionality that collects the backchannel bin and turns
	  it into an RTSP stream object into a vfunc so that implementations
	  can override the behaviour or timing of the call
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8378>

2025-01-20 20:00:33 +1100  Jan Schmidt <jan@centricular.com>

	* gst/rtsp-server/rtsp-media.c:
	  rtsp-media: Make sure to add appsink and appsrc to the pipeline
	  When decoupling send/receive loops in rtsp-media using appsink/appsrc,
	  put the appsink in the bin before linking it, as this code path
	  had that wrong.
	  For both sender and receiver paths, if the pipeline already started
	  also add the other appsrc/appsink of the pair to the pipeline
	  immediately instead of putting it in the pending elements list,
	  as they won't get added later.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8378>

2025-01-03 15:39:18 +1100  Jan Schmidt <jan@centricular.com>

	* examples/test-onvif-client.c:
	  rtsp-server: Make onvif sample support different codecs
	  Add some autoplugging to the onvif example to make it handle
	  different video codecs automatically, and add support for
	  outputting the audio stream too, if any.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8378>

2025-01-03 15:34:32 +1100  Jan Schmidt <jan@centricular.com>

	* examples/test-onvif-client.c:
	  rtsp-server: Fix test-onvif-client position calculations
	  The example was switched to use autovideosink, which broke
	  current position calculation based on the last video frame.
	  Add code to retrieve the actual video sink from within autovideosink
	  to make it work again.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8378>

2025-01-20 13:23:50 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/meson.build:
	  docs: explicitly list gir files as depends for generating configs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8324>

2025-01-15 17:36:00 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/meson.build:
	  docs: generate hotdoc configs for libraries with our helper script
	  With this patch, configure time is identical no matter whether doc is
	  enabled or not.
	  The configuration files also now contain explicitly-listed sources with
	  no wildcards.
	  For the four libraries where hotdoc needs to use clang to generate the
	  documentation (as opposed to the rest of the libraries where hotdoc uses
	  the gir), the script will call pkg-config to determine the appropriate
	  C flags.
	  This means a side effect of this patch is that pkg-config files are now
	  generated for the gstadaptivedemux and gstopencv libraries.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8312>

2025-01-17 16:51:22 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* meson.build:
	  meson: bump minimum version to 1.4 in every subprojects
	  36c01d05797ad9c7778939c54870f979bdcbba1f bumped to 1.4 for gst-devtools
	  and the root project, but we usually keep those in sync everywhere.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8312>

2025-01-14 15:00:43 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.25.1

=== release 1.25.1 ===

2025-01-14 14:52:48 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-rtsp-server.doap:
	* meson.build:
	  Release 1.25.1

2025-01-13 18:10:31 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/meson.build:
	* gst/meson.build:
	* gst/rtsp-sink/meson.build:
	* meson.build:
	  docs: port plugins to explicit sources
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8273>

2025-01-10 08:57:51 +0100  Edward Hervey <edward@centricular.com>

	* gst/rtsp-sink/gstrtspclientsink.c:
	* meson.build:
	  rtsp-server: Add more warning flags
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8229>

2024-12-18 13:18:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  doc: Handle gst_dep.get_variable('libexecdir') failure
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8178>

2024-12-18 12:27:30 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  doc: Allow updating the plugins cache for all modules even if hotdoc is not present
	  This was possible for some modules but not all, for no good reason.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8178>

2024-12-10 12:52:33 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: unset GST_TRACERS for g-ir-scanner to avoid warnings
	  People might have GST_TRACERS=leaks set in their environment
	  by default, which will now trigger criticals during the build
	  when calling g-ir-scanner, because we unset GST_PLUGIN_SYSTEM_PATH
	  so that the scanner doesn't load any plugins.
	  Fixes #4093
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8121>

2024-11-13 17:01:32 +1100  Matthew Waters <matthew@centricular.com>

	* tests/check/gst/onvif.c:
	  tests/onvif: silence a maybe-unitialized warning
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7875>

2024-11-13 16:22:00 +1100  Matthew Waters <matthew@centricular.com>

	* gst/rtsp-server/rtsp-media-factory.c:
	  rtsp-server-media-factory: silence some maybe-unused warnings
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7875>

2024-11-15 11:46:14 -0300  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	  meson: Bump minimum version to 1.3
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4025
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7899>

2024-11-03 17:30:40 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/meson.build:
	  meson: bail out earlier in docs subdir if docs are disabled
	  The gst_dep.get_variable('libexecdir') may fail in some scenarios
	  (e.g. building a module alone inside an uninstalled devenv) and
	  it shouldn't really be reached in the first place if docs are
	  disabled via options.
	  Also to avoid confusing meson messages when cross-compiling or
	  doing a static build.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7818>

2024-10-24 09:17:54 +0200  Edward Hervey <edward@centricular.com>

	* gst/rtsp-server/rtsp-client.c:
	* gst/rtsp-server/rtsp-session-pool.c:
	* gst/rtsp-server/rtsp-session.c:
	* gst/rtsp-server/rtsp-stream-transport.c:
	* gst/rtsp-server/rtsp-stream.c:
	  all: Fix closure annotations
	  This was misused almost everywhere.
	  See
	  https://gi.readthedocs.io/en/latest/annotations/giannotations.html#support-for-gobject-closures
	  and: https://www.bassi.io/articles/2023/02/20/bindable-api-2023/
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7725>

2024-10-24 20:12:55 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtsp-server/rtsp-media.c:
	  rtsp-server: Remove pointless assertions that can happen if client provides invalid rates
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/3731
	  Fixes CVE-2024-44331
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7731>

2024-07-16 02:49:06 +0900  Seungha Yang <seungha@centricular.com>

	* examples/test-onvif-client.c:
	  gst-rtsp-server: Make test-onvif-client example work on Windows
	  Use autovideosink instead of hardcoded xvimagesink,
	  so that platform-default videosink can be picked
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7174>

2020-04-08 10:40:42 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* meson.build:
	* meson_options.txt:
	  build: Add missing common options that are yielding in subprojects
	  - Align `glib_debug`, `glib_assert` and `glib_checks` options with GLib,
	  otherwise glib subproject won't inherit their value. Previous names
	  and values are preserved using Meson's deprecation mechanism.
	  - Add `extra-checks` and `benchmarks` options in the main project so it
	  can be inherited in GStreamer subprojects.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1165>

2024-04-18 17:07:25 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtsp-server/rtsp-stream-transport.c:
	  gst: Move GstQueueArray as GstVecDeque to core
	  And change lengths and indices from guint to gsize for a more correct type.
	  Also deprecate GstQueueArray and implement it in terms of GstVecDeque.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6779>

2024-02-08 01:36:43 +0300  Mikhail Rudenko <mike.rudenko@gmail.com>

	* gst/rtsp-server/rtsp-stream.c:
	  rtsp-stream: clear sockets when leaving bin
	  Since commit 4d86f994, when setting an RTSP media both shared and
	  reusable, streaming cannot be restarted after the first time all the
	  clients disconnect. That happens because the sockets (unlike
	  addresses) of GstRTSPStream are not cleared in
	  gst_rtsp_stream_leave_bin, and on restart sockets and addresses are
	  not allocated in gst_rtsp_stream_allocate_udp_sockets, and then the
	  check in create_sender_part fails. Fix this by clearing sockets in
	  gst_rtsp_stream_leave_bin.
	  Fixes gstreamer/gst-rtsp-server#113
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6325>

2024-02-16 18:12:37 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* tests/check/gst/onvif.c:
	  onvif: tests: check for T flag on all packets
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5173>

2024-03-05 12:58:57 +0000  Tim-Philipp Müller <tim@centricular.com>

	* RELEASE:
	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6261>

=== release 1.24.0 ===

